'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.slugify = slugify;
// part of the code extracted from. https://github.com/epeli/underscore.string/blob/master/cleanDiacritics.js
var from = 'ąàáäâãåæăćčĉęèéëêĝĥìíïîĵłľńňòóöőôõðøśșşšŝťțţŭùúüűûñÿýçżźž';
var to = 'aaaaaaaaaccceeeeeghiiiijllnnoooooooossssstttuuuuuunyyczzz'.split('');

function replaceCharIfNeeded(char) {
  var index = from.indexOf(char);
  return index === -1 ? char : to[index];
}

function slugify(str) {
  return str.toLowerCase().replace(/.{1}/g, replaceCharIfNeeded).replace(/[^a-z0-9 - .]/g, '') // remove invalid chars only letters numbers, dashes and dots
  .replace(/\s+/g, '-') // collapse whitespace and replace by -
  .replace(/-+/g, '-'); // collapse dashes
}